salesforce.cdp.hyperdb.v1

## Enum QueryStatus.CompletionStatus

- java.lang.Object
- - java.lang.Enum<QueryStatus.CompletionStatus>
  - - salesforce.cdp.hyperdb.v1.QueryStatus.CompletionStatus

All Implemented Interfaces:
  com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, Serializable, Comparable<QueryStatus.CompletionStatus>

Enclosing class:
  QueryStatus

    public static enum QueryStatus.CompletionStatus
    extends Enum<QueryStatus.CompletionStatus>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `salesforce.hyperdb.grpc.v1.QueryStatus.CompletionStatus`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FINISHED` `FINISHED = 2;`
`RESULTS_PRODUCED` `RESULTS_PRODUCED = 1;`
`RUNNING_OR_UNSPECIFIED` `RUNNING_OR_UNSPECIFIED = 0;`
`UNRECOGNIZED`

### Field Summary

Fields
`static int` `FINISHED_VALUE` `FINISHED = 2;`
`static int` `RESULTS_PRODUCED_VALUE` `RESULTS_PRODUCED = 1;`
`static int` `RUNNING_OR_UNSPECIFIED_VALUE` `RUNNING_OR_UNSPECIFIED = 0;`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static QueryStatus.CompletionStatus` `forNumber(int value)`
`static com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptorForType()`
`int` `getNumber()`
`com.google.protobuf.Descriptors.EnumValueDescriptor` `getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<QueryStatus.CompletionStatus>` `internalGetValueMap()`
`static QueryStatus.CompletionStatus` `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
`static QueryStatus.CompletionStatus` `valueOf(int value)` Deprecated. Use `forNumber(int)` instead.
`static QueryStatus.CompletionStatus` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static QueryStatus.CompletionStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RUNNING_OR_UNSPECIFIED

    public static final QueryStatus.CompletionStatus RUNNING_OR_UNSPECIFIED

`RUNNING_OR_UNSPECIFIED = 0;`

#### RESULTS_PRODUCED

    public static final QueryStatus.CompletionStatus RESULTS_PRODUCED

`RESULTS_PRODUCED = 1;`

#### FINISHED

    public static final QueryStatus.CompletionStatus FINISHED

`FINISHED = 2;`

#### UNRECOGNIZED

    public static final QueryStatus.CompletionStatus UNRECOGNIZED

### Field Detail

#### RUNNING_OR_UNSPECIFIED_VALUE

    public static final int RUNNING_OR_UNSPECIFIED_VALUE

`RUNNING_OR_UNSPECIFIED = 0;`

See Also:
  Constant Field Values

#### RESULTS_PRODUCED_VALUE

    public static final int RESULTS_PRODUCED_VALUE

`RESULTS_PRODUCED = 1;`

See Also:
  Constant Field Values

#### FINISHED_VALUE

    public static final int FINISHED_VALUE

`FINISHED = 2;`

See Also:
  Constant Field Values

### Method Detail

#### values

    public static QueryStatus.CompletionStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (QueryStatus.CompletionStatus c : QueryStatus.CompletionStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static QueryStatus.CompletionStatus valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getNumber

    public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

#### valueOf

    @Deprecated
    public static QueryStatus.CompletionStatus valueOf(int value)

Deprecated. Use `forNumber(int)` instead.

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### forNumber

    public static QueryStatus.CompletionStatus forNumber(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<QueryStatus.CompletionStatus> internalGetValueMap()

#### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

#### valueOf

    public static QueryStatus.CompletionStatus valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)